---
title: Create a company
description: Learn how to create a company to centrally manage multiple organizations.
keywords: company, hub, organization, company owner, Admin Console, company management
aliases:
- /docker-hub/new-company/
---

You can create a new company in Docker Hub or Docker Admin Console. Before you begin, make sure you're the owner of the organization you want to add to the new company. The organization also needs to have a Docker Business subscription.

{{< tabs >}}

{{< tab name="Docker Hub" >}}

## Create a company

To create a new company:

1. In Docker Hub, navigate to the organization you want to place under a company. The organization must have a Business subscription, and you must be an owner of the organization.
2. Select **Settings**.
3. Near the bottom of the **General** tab, select **Create a company**.
4. Enter a unique name for your company, then select **Continue**.

    > **Tip**
    >
    > The name for your company can't be the same as an existing user, organization, or company namespace.
    { .tip }

5. Review the company migration details and then select **Create company**.

{{< /tab >}}

{{< tab name="Admin Console" >}}

{{< include "admin-early-access.md" >}}

## Create a company

To create a new company:

1. In the Admin Console, navigate to the organization you want to place under a company. The organization must have a Business subscription, and you must be an owner of the organization.
2. Under **Organization settings**, select **Company management**.
3. Select **Create a company**.
4. Enter a unique name for your company, then select **Continue**.

    > **Tip**
    >
    > The name for your company can't be the same as an existing user, organization, or company namespace.
    { .tip }

5. Review the company migration details and then select **Create company**.

For more information on how you can add organizations to your company, see [Add organizations to a company](./organizations.md#add-organizations-to-a-company).

{{< /tab >}}

{{< /tabs >}}

## Next steps

- [Manage organizations](./organizations.md)
- [Manage company users](./users.md)
- [Manage company owners](./owners.md)

## More resources

- [Video: Create a company](https://youtu.be/XZ5_i6qiKho?feature=shared&t=359)
