---
title: Register a tax certificate
description: Learn how to submit a tax exemption certificate for your Docker billing.
keywords: billing, renewal, payments, tax
---

{{< include "tax-compliance.md" >}}

If you're a customer in the United States and you're exempt from sales tax, you can register a valid tax exemption certificate with Docker's Support team. If you're a global customer subject to VAT, make sure that you provide your [VAT number](/billing/core-billing/history/#include-your-vat-number-on-your-invoice).

## Prerequisites

Before you submit your tax exemption certificate, ensure the following.

1. Your customer name matches the name on the exemption certificate
2. Your tax exemption certificate specifies Docker Inc as the Seller or Vendor and all applicable information is filled out
3. Your certificate is signed and dated, and the expiration date hasn't passed
4. You have a valid Docker ID/namespace(s) of the accounts that you want to apply the tax exemption certificate to

## Contact information

You can use the following for Docker's contact information on your tax exemption certificate.

Docker, Inc.  
3790 El Camino Real #1052  
Palo Alto, CA 94306  
(415) 941-0376

## Register a tax certificate

1. [Submit a Docker Support ticket](https://hub.docker.com/support/contact) to initiate the process to register a tax certificate.
2. Enter the required information. Select **Billing** from the **Topic** drop-down.
3. In the **Additional Information** field, list the Docker ID/namespace(s) of the accounts that you want to apply the tax exemption certificate to.  

   > **Tip**
   >
   > You can list multiple namespaces that share the same tax exemption certificate, if applicable.
   { .tip }
4. Select **Submit**.

Docker's Support team will reach out for you to submit your certificate once a ticket is open. You'll receive a confirmation from Docker once your tax exemption status has processed and is applied to your account.