---
title: Categories in Docker Hub
description: |
  Categorizing your Docker Hub repositories makes it easier for users to
  find your images based on its use cases and content.
keywords: hub, images, content, categories, explore, search
---

You can tag Docker Hub repositories with categories, representing the primary
intended use cases for your images. This lets users more easily find and
explore content for the problem domain that they're interested in.

## Available categories

The Docker Hub content team maintains a curated list of categories.
The available categories are:

- **API Management**: Tools for creating, publishing, analyzing, and securing APIs.
- **Content Management System:** Software applications to create and manage digital content through templates, procedures, and standard formats.
- **Data Science:** Tools and software to support analyzing data and generating actionable insights.
- **Databases & Storage:** Systems for storing, retrieving, and managing data.
- **Languages & Frameworks:** Programming language runtimes and frameworks.
- **Integrations & Delivery:** Tools for Continuous Integration (CI) and Continuous Delivery (CD).
- **Internet of Things:** Tools supporting Internet of Things (IoT) applications.
- **Machine Learning & AI:** Tools and frameworks optimized for artificial intelligence and machine learning projects, such as pre-installed libraries and frameworks for data analysis, model training, and deployment.
- **Message Queues:** Message queuing systems optimized for reliable, scalable, and efficient message handling.
- **Monitoring & Observability:** Tools to track software and system performance through metrics, logs, and traces, as well as observability to explore the system’s state and diagnose issues.
- **Networking:** Repositories that support data exchange and connecting computers and other devices to share resources.
- **Operating Systems:** Software that manages all other programs on a computer and serves as an intermediary between users and the computer hardware, while overseeing applications and system resources.
- **Security:** Tools to protect a computer system or network from theft, unauthorized access, or damage to their hardware, software, or electronic data, as well as from service disruption.
- **Web Servers:** Software to serve web pages, HTML files, and other assets to users or other systems.
- **Web Analytics:** Tools to collect, measure, analyze, and report on web data and website visitor engagement.

## Auto-generated categories

> **Note**
>
> Auto-generated categories only apply to Docker Verified Publishers and
> Docker-Sponsored Open Source program participants.

For repositories that pre-date the Categories feature in Docker Hub,
categories have been automatically generated and applied, using OpenAI, based
on the repository title and description.

As an owner of a repository that has been auto-categorized, you can manually
edit the categories if you think they're inaccurate. See [Manage categories for
a repository](#manage-categories-for-a-repository).

The auto-generated categorization was a one-time effort to help seed categories
onto repositories created before the feature existed. Categories are not
assigned to new repositories automatically.

## Manage categories for a repository

You can tag a repository with up to three categories.

To edit the categories of a repository:

1. Go to the repository page on Docker Hub.
2. Select the pencil icon under the description field.
3. Select the categories you want to apply.
4. Select **Update** to save the changes.

<video controls>
  <source src="/assets/video/hub_categories.mp4" type="video/mp4" />
</video>

If you're missing a category, use the
[Give feedback link](https://docker.qualtrics.com/jfe/form/SV_03CrMyAkCWVylKu)
to let us know what categories you'd like to see.
